Bug 1423 - netscape bus-errors on closing of the first openend window taking others with it
netscape bus-errors on closing of the first openend window taking others with it
Product: Red Hat Linux
Classification: Retired
Component: netscape (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
Depends On:
  Show dependency treegraph
Reported: 1999-03-04 14:34 EST by Hans de Goede
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-03-22 12:08:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 1999-03-04 14:34:06 EST
I already mailed this to the list but got no response.
I first noticed this when freetype support was added to X
in rawhide. So I think it's freetype related. I run X
in 16bit 1024x768 but I think this is not relevant.

The bug:
-start netscape from an xterm
-click op the mail icon
-switch back to the first window
-stop loading whatevee it's loading there
-close the navigator window -> bus-error, takes mail window
 with it.

This also happens randomly when browsing and you close the
first window. It only happens when you close the first
browser window. The method above is pretty descent in
reproducing it. But doesn't reproduce it always.

I do use truetype fonts in netscape through xfstt, but did
that before with plain 5.2 too and that worked fine.

Also when i noticed this bug with rawhide I did a lott more
testing and disabling truetype support al together, and thus
not choosign truetype font's in netscape still triggered the
bug. I think this is really a netscape bug. But it's somehow
triggerdd by the freetype support so maybe thats doing
something wrong
Comment 1 Bill Nottingham 1999-03-22 12:08:59 EST
should be fixed in XFree86-

Note You need to log in before you can comment on or make changes to this bug.